{% extends "base.html" %}

{% block main %}
<h1>CSS / flex</h1>


<table style="width:100%; table-layout:fixed;">
  <tr>
    <td>
      <div class="pa-4 mb-4 d-flex justify-space-between" style="border: 1px solid #aaa">
        <div class="pa-1" style="border: 1px solid #aaa">1</div>
        <div class="pa-1" style="border: 1px solid #aaa">2</div>
        <div class="pa-1" style="border: 1px solid #aaa">3</div>
      </div>
    </td>
    <td class="px-4">
      <pre><code>&lt;div class="d-flex justify-space-between"&gt;
  &lt;div&gt;1&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
&lt;/div&gt;</code></pre>
    </td>
  </tr>

  <tr>
    <td>
      <div class="pa-4 mb-4 d-flex" style="border: 1px solid #aaa">
        <div class="pa-1 flex-grow-1" style="border: 1px solid #aaa">1</div>
        <div class="pa-1" style="border: 1px solid #aaa">2</div>
        <div class="pa-1" style="border: 1px solid #aaa">3</div>
      </div>
    </td>
    <td class="px-4">
      flex-grow-1 | flex-grow-0
      <pre><code>
&lt;div class="d-flex"&gt;
  &lt;div class="flex-grow-1"&gt;1&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
&lt;/div&gt;</code></pre>
    </td>
  </tr>
</table>



<div class="pa-4" style="border: 1px solid red">
  asd
</div>


{% endblock %}
